Skip to main content
DELETE
/
api
/
v1
/
project_attributes
/
{project}
Deletes custom :ref:`ref_flyteidl.admin.MatchableAttributesConfiguration` for a
curl --request DELETE \
  --url https://mycluster.domino.tech/api/v1/project_attributes/{project} \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource_type": "TASK_RESOURCE",
  "org": "<string>"
}
'
{}

Path Parameters

project
string
required

Unique project id which this set of attributes references. +required

Body

application/json
resource_type
enum<string>
default:TASK_RESOURCE

Defines a resource that can be configured by customizable Project-, ProjectDomain- or WorkflowAttributes based on matching tags.

  • TASK_RESOURCE: Applies to customizable task resource requests and limits.
  • CLUSTER_RESOURCE: Applies to configuring templated kubernetes cluster resources.
  • EXECUTION_QUEUE: Configures task and dynamic task execution queue assignment.
  • EXECUTION_CLUSTER_LABEL: Configures the K8s cluster label to be used for execution to be run
  • QUALITY_OF_SERVICE_SPECIFICATION: Configures default quality of service when undefined in an execution spec.
  • PLUGIN_OVERRIDE: Selects configurable plugin implementation behavior for a given task type.
  • WORKFLOW_EXECUTION_CONFIG: Adds defaults for customizable workflow-execution specifications and overrides.
  • CLUSTER_ASSIGNMENT: Controls how to select an available cluster on which this execution should run.
Available options:
TASK_RESOURCE,
CLUSTER_RESOURCE,
EXECUTION_QUEUE,
EXECUTION_CLUSTER_LABEL,
QUALITY_OF_SERVICE_SPECIFICATION,
PLUGIN_OVERRIDE,
WORKFLOW_EXECUTION_CONFIG,
CLUSTER_ASSIGNMENT
org
string

Optional, org key applied to the project.

Response

A successful response.

Purposefully empty, may be populated in the future.